/*
 * Author: 黎永顺
 * name: 个税扣缴义务人小提示组件
 * Description:
 * Date: 2022/11/22
 */
import React, { Component } from "react";
import { WeaLocaleProvider } from "ecCom";
import "./index.less";

const { getLabel } = WeaLocaleProvider;

class ComHint extends Component {
  /*
   * Author: 黎永顺
   * Description: 提示语注释
   * Params: isChief=总管理员
   * Date: 2022/11/22
   */
  renderTips = () => {
    const { isChief = true } = this.props;
    if (isChief) {
      return [
        <p>{getLabel(111, "1、个税扣缴义务人与档案中的个税扣缴义务人匹配，修改个税扣缴义务人名称，薪资档案的个税扣缴义务人数据同步更新；")}</p>,
        <p>{getLabel(111, "2、删除个税扣缴义务人需先确认档案里无人员使用该个税扣缴义务人，否则不予删除；")}</p>,
        <p>{getLabel(111, "3、只有薪酬总管理员能够操作个税扣缴义务人的增减和开启/关闭分权；")}</p>,
        <p>{getLabel(111, "4、开启分权，需维护个税扣缴义务人的管理员；当前总管理员默认有管理员的权限；")}</p>
      ];
    } else {
      return [];
    }
  };

  render() {
    return (
      <div className="comHint">
        <div className="hintHeader">{getLabel(111, "小提示")}</div>
        <div className="hintTips">
          {this.renderTips()}
        </div>
      </div>
    );
  }
}

export default ComHint;
